curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"123",
"456",
"789"
],
"recordIdsToRemove": [
"654"
]
}
'{
"recordIdsAdded": [
"123",
"456"
],
"recordIdsMissing": [
"789"
],
"recordIdsRemoved": [
"654"
]
}システムにすでに作成されているレコードをリストに追加するか、リストから削除します。
このエンドポイントは、「processingType」が「MANUAL」または「SNAPSHOT」のリストでのみ機能します。
curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"123",
"456",
"789"
],
"recordIdsToRemove": [
"654"
]
}
'{
"recordIdsAdded": [
"123",
"456"
],
"recordIdsMissing": [
"789"
],
"recordIdsRemoved": [
"654"
]
}サポートされる製品
必須スコープ
cms.membership.access_groups.writecrm.lists.readcrm.lists.writeThe access token received from the authorization server in the OAuth 2.0 flow.
「MANUAL」または「SNAPSHOT」リストのILS ID。
The IDs of the records to add and/or remove from the list.